2005-11-14  Jeffrey Altman <jaltman@mit.edu>

	* krb5_libinit.c: include k5-int.h instead of krb5.h

2005-02-08  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (LIBINITFUNC, LIBFINIFUNC): Define.

2005-01-17  Jeffrey Altman <jaltman@mit.edu>

        * krb5_libinit.c: implement library cleanup of mutexes, static vars, etc

2005-01-04  Jeffrey Altman <jaltman@mit.edu>
      
        * libkrb5.exports: add krb5_is_thread_safe

2004-08-08  Ken Raeburn  <raeburn@mit.edu>

	* libkrb5.exports: Remove memory ccache symbols except ops table.

2004-06-18  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (OBJFILEDEP, OBJFILELIST) [DOS]: Include locally
	built object files.
	(OBJFILE, LIBOBJS, LOCALINCLUDES) [DOS]: Define.

2004-06-16  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (MAC_SUBDIRS): Don't set.

2004-06-15  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (LOCALINCLUDES): Add $srcdir/os.

	* krb5_libinit.c: Include os-proto.h.
	(krb5int_lib_init): Initialize krb5int_us_time_mutex.

	* libkrb5.exports: Drop krb5_init_ets, krb5_free_ets,
	krb5_kt_default_vno, and krb5int_profile_shared_data.

2004-06-04  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (LIBBASE): Renamed from LIB.

2004-06-02  Ken Raeburn  <raeburn@mit.edu>

	* krb5_libinit.c (initialized): Variable deleted, all references
	removed.
	(krb5int_lib_init): Initialize error tables here, including k524.
	(krb5int_initialize_library): Don't do it here.
	(krb5int_lib_fini): Remove k524 error table too.

2004-05-27  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in (LOCALINCLUDES): Include ccache, keytab and rcache
	directories.

	* krb5_libinit.c: Include cc-int.h, kt-int.h, rc-int.h for
	init/fini prototypes.

2004-05-05  Ken Raeburn  <raeburn@mit.edu>

	* libkrb5.exports: Export krb5int_foreach_localaddr for now.

2004-04-24  Ken Raeburn  <raeburn@mit.edu>

	* krb5_libinit.c: Include k5-platform.h.
	(krb5int_lib_init, krb5int_lib_fini): New init/fini functions.
	Call the corresponding functions for the ccache, keytab, and
	rcache code.  Incorporate the finalization code from
	krb5int_cleanup_library.
	(krb5int_initialize_library): Make sure the init function runs
	successfully.
	(krb5int_cleanup_library): Now empty.

2004-04-22  Ken Raeburn  <raeburn@mit.edu>

	* libkrb5.exports: New file.

2003-12-23  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Remove basic checks for header files and
	functions, now moved into include/configure.in.

2003-08-21  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't substitute LIBOBJS, newer autoconfs don't
	like it.

2003-08-20  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't replace any missing system functions.  Just
	set LIBOBJS empty for now and substitute it.

2003-08-13  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't check for or replace vfprintf, vsprintf,
	strerror, memmove, or sscanf, all part of C 89.

2003-07-15  Ken Raeburn  <raeburn@mit.edu>

	* krb5_libinit.c: Include autoconf.h.

2003-03-07  Alexandra Ellwood  <lxs@mit.edu>

    * krb5_libinit.c: Changed USE_HARDCODED_FALLBACK_ERROR_TABLES macro 
    to !USE_BUNDLE_ERROR_STRINGS so Darwin based builds get com_err
    style error tables.

2003-03-06  Alexandra Ellwood <lxs@mit.edu>

    * krb5_libinit.c: Removed Mac OS X header goober.  Conditionalize
    CCAPI calls on USE_CCAPI so Darwin builds work.

2003-02-04  Tom Yu  <tlyu@mit.edu>

	* configure.in: Add KRB5_SIGTYPE and CHECK_SIGNALS for
	os/prompter.c.

2003-01-10  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't explicitly invoke AC_PROG_INSTALL.

	* configure.in: Use V5_AC_OUTPUT_MAKEFILE instead of
	K5_GEN_MAKEFILE and K5_AC_OUTPUT.

	* Makefile.in: Add AC_SUBST_FILE marker for lib_frag and libobj_frag.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Revert $(S)=>/ change, for Windows support.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2002-08-22  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (SUBDIROBJLISTS): New variable.

2002-07-09  Ken Raeburn  <raeburn@mit.edu>

	* krb5_libinit.c: Put # for cpp directives in first column.

2002-07-03  Alexandra Ellwood <lxs@mit.edu>

	* krb5_libinit.c: Conditionalized error table loading for
	Mac OS X.  Error tables should always be loaded on other 
	platforms.

	* krb5_libinit.c: Added an include for com_err.h since
	it is not included by error table headers on Mac OS X.  Also
	fixed busted check for Mac OS

	[pullups form 1-2-2-branch]

2002-06-25 Alexandra Ellwood <lxs@mit.edu>

	* krb5_libinit.c: Added an include for com_err.h since
	it is not included by error table headers on Mac OS X.  Also
	fixed busted check for Mac OS

	* krb5_libinit.c: added #define for Mac OS X so
	that krb5int_cleanup_library calls krb5_stdcc_shutdown.

	[pullups from 1-2-2-branch]

2002-06-09  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't set up keytab/file or keytab/srvtab
	subdirectories.
	* Makefile.in (STOBJLISTS): Delete keytab/file/OBJS.ST and
	keytab/srvtab/OBJS.ST.

2002-03-06  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (LIBMINOR): Bump due to changes in error tables.

2001-10-05  Ken Raeburn  <raeburn@mit.edu>

	* krb5_libinit.c: Drop _MSDOS support.

2001-09-01  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (SRCS): Use $(srcdir) not $(subdir).

2001-07-30  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Add KRB5_GETSOCKNAME_ARGS and KRB5_GETPEERNAME_ARGS.

2001-06-11  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Test for strptime() prototype. Debian linux has
	strptime in the C library but does not provide a prototype.

2001-04-26  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't use HAS_ANSI_VOLATILE.

2001-04-25  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Moved test for socklen_t to include directory.

2001-03-05  Tom Yu  <tlyu@mit.edu>

	* configure.in: Check for sys/filio.h for FIONBIO.

2000-12-18  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Look for socklen_t, define HAVE_SOCKLEN_T if
	found.

2000-11-01  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Use AC_C_CONST instead of AC_CONST.

2000-10-17  Ezra Peisach  <epeisach@mit.edu>

	* krb5_libinit.c: Include krb5_libinit.h for prototypes. 

2000-10-10  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Check for getifaddrs and ifaddrs.h.

2000-09-21  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Add AC_TYPE_OFF_T for off_t declaraion.

2000-08-29  Tom Yu  <tlyu@mit.edu>

	* configure.in: Don't generate keytab/db/Makefile, since it isn't
	used.

	* Makefile.in: Garbage collect a little.  Don't include keytab/*
	directories directly on $(LOCAL_SUBDIRS), as keytab/Makefile.in
	lists them itself.

2000-07-14  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Don't generate Makefile in ccache/file,
	ccache/stdio, ccache/memory.
	* Makefile.in (LOCAL_SUBDIRS, LIB_SUBDIRS, LIBDONE, STOBJLISTS):
	Delete references to those directories.

2000-07-01  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (SHLIB_EXPLIBS): Use $(LIBS) not @RESOLV_LIB@ in
	order to get -lnsl, -lsocket, etc. if necessary.

2000-06-23  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (LIBMAJOR, LIBMINOR): Bump version.

2000-06-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (SHLIB_EXPLIBS): Add @RESOLV_LIB@.

2000-05-31  Wilfredo Sanchez  <tritan@mit.edu>

	* configure.in: Check for existance of <memory.h>.
	[from Nathan Neulinger <nneul@umr.edu>]

2000-03-14  Ken Raeburn  <raeburn@mit.edu>

	* configure.in: Check for gethostbyname2.

Tue Feb 22 10:20:57 2000  Ezra Peisach  <epeisach@mit.edu>

	* Makefile.in (clean-unix): Add clean-libobjs.

2000-01-24  Tom Yu  <tlyu@mit.edu>

	* krb5_libinit.c: Conditionalize call to stdcc_shutdown().

	* configure.in: Fix to build library objects in this directory.

	* Makefile.in (STOBJLISTS): Fix to actually build krb5_libinit.o.

	* krb5_libinit.c: Fix to use 0 and 1 instead of false and true.

Fri Jan 21 22:47:00 2000  Miro Jurisic  <meeroh@mit.edu>

	* Makefile.in: added krb5_libinit.[co]
	* krb5_libinit.[ch]: new files, contain library initialization
		and cleanup code

1999-12-01  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (LIBMINOR): Update to 2.

1999-06-13  Geoffrey King  <gjking@mit.edu>

	* Makefile.in:
	* configure.in: Add new subdirectory keytab/srvtab.

Tue May 18 19:52:56 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Remove - from recursive Win32 make invocation.

Mon May 17 14:09:28 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Make directories for clean-windows target lowercase
		like everywhere else.

Mon May 10 15:23:34 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Do win32 build in subdir.

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)

	* configure.in: Add test for the fcntl.h header file.

Thu Jul 30 13:12:57 1998  Sam Hartman  <hartmans@utwig.mesas.com>

	* configure.in: Test for sa_len so localaddr works on NetBSD.

Sun Jul 26 17:46:47 1998  Sam Hartman  <hartmans@utwig.mesas.com>

	* Makefile.in (LIBMAJOR): bump to 2

Wed Apr 15 18:07:20 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (SHLIB_EXPDEPS): 
	(SHLIB_EXPLIBS): Rename libcrypto -> libk5crypto.

Fri Feb 27 23:15:28 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in (SHLIB_EXPLIBS): Replace @SHLIB_GEN@ with @GEN_LIB@

Fri Feb 27 18:00:15 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* configure.in: Move the regular expression function tests into
		aclocal.m4, since they also need to be shared by
		lib/kadm5's configure script.

	* configure.in: Move tests from all of krb5's subdirectories into
		this configure.in, and make it generate makefiles for all
		of the subdirectories.

	* Makefile.in: Add a LOCAL_SUBDIRS macro for all subdirectories in
		the krb5 library.

Wed Feb 18 16:18:18 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trailing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.

Sat Feb 14 10:37:26 1998  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Remove USE_ANAME, and the defines for ANAME_DBDEP and
	        ANAME_DBLIB as they are no longer used.

	* Makefile.in: Remove unused ANAME_DBDEP and ANAME_DBLIB definitions.

Fri Feb 13 15:26:42 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in, configure.in: Remove the free directory from the
 		list of subdirectories to be built.  (All functions moved
 		into lib/krb5/free/kfree.c)

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* configure.in: Use AC_CONFIG_DIRS instead of CONFIG_DIRS, and
		remove use of DO_SUBDIRS.

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Fri Jul 25 15:24:41 1997  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Bump version due to et changes.

Sat Feb 22 01:37:03 1997  Sam Hartman  <hartmans@luminous.MIT.EDU>

	* Makefile.in (LIBMINOR): Bump minor version

Thu Nov 21 11:55:16 EST 1996    Richard Basch   <basch@lehman.com>

        * Makefile.in: win32 build

Fri Feb  7 21:48:10 1997  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Add rule to install libraries.

Fri Jan  3 16:47:59 1997  Tom Yu  <tlyu@mit.edu>

	* Makefile.in:
	* configure.in: Update to use new KRB5_BUILD_LIBRARY_WITH_DEPS
 	macro.

	* Makefile.in:
	* configure.in: Update to new library build procedure.

Mon Nov 18 20:42:39 1996  Ezra Peisach  <epeisach@mit.edu>

	* configure.in: Set shared library version to 1.0. [krb5-libs/201]

Wed Oct 23 01:15:40 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* configure.in, Makefile.in: Check to see if the -lgen library
		exists; if so, add it to the SHLIB_LIBS line, since it
		will be needed by an_to_ln.c, in all probability.

Fri Jun  7 17:38:09 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in (all-windows, clean-windows): Use full directory
		name "error_tables" when building under Windows so that
		the build will work correctly under VFAT and NTFS filesystems.

Thu Jun  6 00:04:38 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* Makefile.in (all-windows): Don't pass $(LIBCMD) on the command
		line.  It's set in the windows.in prologue for all Makefiles anyway.

Mon May 20 10:56:51 1996  Tom Yu  <tlyu@dragons-lair.MIT.EDU>

	* Makefile.in (libkrb5.$(STEXT)): fix sense of test; also deal
		with new improved libupdate

Tue Apr 30 16:31:50 1996  Ken Raeburn  <raeburn@cygnus.com>

	* Makefile.in (libkrb5.$(STEXT)): Set a variable with or without
	"--force" and use it, instead of duplicating the rest of the
	code.  Use LIBDONE as list to process, so berk_db will be skipped
	when not in use.  Check exit status of LIBUPDATE invocation.
	Remove library before creating as workaround for libupdate bug.

Wed Feb  7 00:23:18 1996  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Folded in danw's changes to allow
		building Makefiles for the Macintosh.  We now can build
		MPW makefiles which are interpreted by CodeWarrior.

Sat Jan 27 18:25:42 1996  Sam Hartman  <hartmans@tertius.mit.edu>

	* configure.in (hashloc): Fix quoting so it makes it into the Makefile.

Mon Jan 22 15:23:05 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in: Merge in berk_db library if needed.

	* Makefile.in (LIB_SUBDIRS): Get location of berk_db from
		configure if needed.

Wed Dec 13 07:09:30 1995  Chris Provenzano (proven@mit.edu)

        * Makefile.in : Move db keytab routines to lib/kdb.

Tue Dec  5 20:57:06 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile.in: Removed dependency on krb4 library in building
		shared library. 

Fri Nov  3 21:31:44 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Added the ccache/memory subdirectory.

Fri Oct  6 22:05:44 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Remove ##DOS!include of config/windows.in.
		config/windows.in is now included by wconfig.

Mon Oct  2 11:12:24 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* configure.in (V5_MAKE_SHARED_LIB): Change rule to install
		version 0.1 of the library. Pass the libcrypto and
		libcom_err version number to Makefile

	* Makefile.in (CRYPTO_VER): Get the proper libcrypto version number

Mon Sep 25 17:01:48 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Removed "foo:: foo-$(WHAT)" lines from the
		Makefile. 

Wed Sep 13 11:11:38 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: Put back in all:: all-$(WHAT) rule--PC needs it.

Fri Jun 30 14:43:38 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Add Berkeley database code here.  Remove typo in
		libupdate section.

Wed Jun 28 21:25:29 1995  Mark Eichin  <eichin@cygnus.com>

	* configure.in: with static libs, we need install-unix, not install.

Mon Jun 26 17:36:53 1995  Sam Hartman  <hartmans@tardis.MIT.EDU>

	* Makefile.in (install-unix): This should be generated by configure.in, not Makefile.in.  My typo was there, not here.

Sun Jun 25 08:24:46 1995  Tom Yu  (tlyu@dragons-lair)

	* Makefile.in: Typo: install-mac was really supposed to be
		install-unix

Fri Jun 23 12:15:02 1995  Sam Hartman  <hartmans@tardis.MIT.EDU>

	* configure.in: Typo: krb5_cv_staticlibs_enabled, not
        krb5_cv_enable_staticlibs

Thu Jun 22 18:03:35 1995  Sam Hartman  (hartmans@tardis)

	* Makefile.in: Treat libcom_err.a as shared, use new conventions
	regarding static version.


Fri Jun 16 11:16:44 EDT 1995	Paul Park	(pjpark@mit.edu)
	* configure.in - Add shared library install target.


Thu Jun 15 18:08:12 EDT 1995	Paul Park	(pjpark@mit.edu)
	* Makefile.in - Add definitions for shared library build rules.  Also,
		remove explicit "all" target at front so we do subdirectories
		first.
	* configure.in - Create symlinks for archive and shared library when
		we build them.

Fri Jun  9 18:51:24 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.  Use DO_SUBDIRS to
		recurse down subdirectories.

Fri May 26 20:12:37 1995  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in, Makefile.in: Add support for building shared libraries.

Sat Apr 22 10:58:49 1995  Ezra Peisach  (epeisach@kangaroo.mit.edu)

	* configure.in: Add rule for make check to descend to subdirs

Fri Apr 21 20:47:35 1995  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Added the profile directory for the profile routines.

Wed Mar 15 20:23:17 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: cleaned up for the PC

Wed Mar 15 12:26:21 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: made so it recurses into the subdirs for the PC.

Fri Nov 18 00:17:47 1994  Mark Eichin  <eichin@cygnus.com>

	* configure.in: move WITH_CCOPTS, WITH_KRB5ROOT.

Wed Nov  2 02:35:44 1994  Mark W. Eichin  (eichin@paycheck.cygnus.com)

	* Makefile.in (libkrb5.a): done needs a trailing semicolon if it
	isn't followed by a newline, as does fi, with certain shells.

Tue Nov  1 14:56:47 1994    (tytso@rsx-11)

	* Makefile.in: Change the way libupdate works so that we use
		libkrb5.stamp to determine whether or not $arcmd needs to
		be rerun. 

	* Makefile.in:
	* configure.in: Change the way the library is built to use the
		libupdate script.

Mon Oct  3 21:11:19 1994  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: make install obey $(DESTDIR)

Thu Aug  4 03:42:31 1994  Tom Yu  (tlyu@dragons-lair)

	* configure.in: oops look for install program

	* Makefile.in: make install fixes

